select
    an.numero as "Nmero"
    , an.nome as "Nome"
    , an.nomecompleto as "Nome completo"
    , an.sexo as "Sexo"
    , (select grausangue from sp_calculagrausangue(an.cdanimal)) as "Raa"
    , an.dtnascimento as "Data nascimento"
    , (id.anos || ' ano(s) ' || id.meses || ' mes(es) ' || id.dias || ' dia(s)') as "Idade"
    , mae.numero as "Nmero me"
    , mae.nomecompleto as "Nome completo me"
    , pai.numero as "Nmero pai"
    , pai.nomecompleto as "Nome completo pai"
    , avof.numero as "Nmero av"
    , avof.nomecompleto as "Nome completo av"
from
    animal an
    left join animal mae on mae.cdanimal = an.cdmae
    left join animal avom on avom.cdanimal = mae.cdpai
    left join animal avof on avof.cdanimal = mae.cdmae
    left join setor se on se.cdsetor = an.cdsetor				
    join sp_idadeanimal ('', 'where cdanimal = ' || an.cdanimal) id on 1 = 1
    left join animal pai on pai.cdanimal = an.cdpai
where
    an.dtbaixa is null and
    an.tipoanimal = 'A' and
    an.animalrebanho = '1'
